OAuth Client
A per-app OAuth public client used by a browser app to authenticate against the ConfigHub API.
Operations
| Method | Endpoint | Description |
|---|---|---|
GET |
/oauth_client |
List OAuth clients |
GET |
/oauth_client/{oauth_client} |
Get an OAuth client |
POST |
/oauth_client |
Register an OAuth client |
DELETE |
/oauth_client/{oauth_client} |
Delete an OAuth client |
List OAuth clients
GET /oauth_client
List the OAuth clients owned by the caller's organization.
Operation ID: ListOAuthClients
Responses
| Status | Description | Content-Type | Schema |
|---|---|---|---|
| 200 | OK | application/json |
Array of OAuthClient |
| 400 | OAuthClient request is invalid (Bad Request). | application/json |
StandardErrorResponse |
| 401 | Unauthorized access. | application/json |
StandardErrorResponse |
| 403 | Forbidden access. | application/json |
StandardErrorResponse |
| 404 | OAuthClient not found. | application/json |
StandardErrorResponse |
| 500 | Something went wrong while processing OAuthClient. | application/json |
StandardErrorResponse |
| default | Unexpected error. | application/json |
StandardErrorResponse |
Get an OAuth client
GET /oauth_client/{oauth_client}
Get a single OAuth client owned by the caller's organization.
Operation ID: GetOAuthClient
Parameters
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
oauth_client |
string | ✓ | The OAuth client_id addressing a single registered app. |
Responses
| Status | Description | Content-Type | Schema |
|---|---|---|---|
| 200 | A per-app OAuth public client used by a browser app to authenticate against the ConfigHub API. | application/json |
OAuthClient |
| 400 | OAuthClient request is invalid (Bad Request). | application/json |
StandardErrorResponse |
| 401 | Unauthorized access. | application/json |
StandardErrorResponse |
| 403 | Forbidden access. | application/json |
StandardErrorResponse |
| 404 | OAuthClient not found. | application/json |
StandardErrorResponse |
| 500 | Something went wrong while processing OAuthClient. | application/json |
StandardErrorResponse |
| default | Unexpected error. | application/json |
StandardErrorResponse |
Register an OAuth client
POST /oauth_client
Register a per-app OAuth public client for the caller's organization (RFC 7591).
Operation ID: CreateOAuthClient
Request Body
Content-Type: application/json
Schema: OAuthClient
Responses
| Status | Description | Content-Type | Schema |
|---|---|---|---|
| 200 | A per-app OAuth public client used by a browser app to authenticate against the ConfigHub API. | application/json |
OAuthClient |
| 400 | OAuthClient request is invalid (Bad Request). | application/json |
StandardErrorResponse |
| 401 | Unauthorized access. | application/json |
StandardErrorResponse |
| 403 | Forbidden access. | application/json |
StandardErrorResponse |
| 404 | OAuthClient not found. | application/json |
StandardErrorResponse |
| 409 | OAuthClient data conflict. Data has changed since last read. | application/json |
StandardErrorResponse |
| 500 | Something went wrong while processing OAuthClient. | application/json |
StandardErrorResponse |
| default | Unexpected error. | application/json |
StandardErrorResponse |
Delete an OAuth client
DELETE /oauth_client/{oauth_client}
Delete an OAuth client owned by the caller's organization.
Operation ID: DeleteOAuthClient
Parameters
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
oauth_client |
string | ✓ | The OAuth client_id addressing a single registered app. |
Responses
| Status | Description | Content-Type | Schema |
|---|---|---|---|
| 200 | Response for successful delete operation | application/json |
DeleteResponse |
| 400 | OAuthClient request is invalid (Bad Request). | application/json |
StandardErrorResponse |
| 401 | Unauthorized access. | application/json |
StandardErrorResponse |
| 403 | Forbidden access. | application/json |
StandardErrorResponse |
| 404 | OAuthClient not found. | application/json |
StandardErrorResponse |
| 409 | OAuthClient data conflict. Data has changed since last read. | application/json |
StandardErrorResponse |
| 422 | OAuthClient could not be deleted. | application/json |
StandardErrorResponse |
| 500 | Something went wrong while processing OAuthClient. | application/json |
StandardErrorResponse |
| default | Unexpected error. | application/json |
StandardErrorResponse |
Schemas
DeleteResponse
Response for successful delete operation
Properties
| Property | Type | Required | Description |
|---|---|---|---|
Error |
ResponseError |
||
Message |
string | Response message. |
OAuthClient
A per-app OAuth public client used by a browser app to authenticate against the ConfigHub API.
Properties
| Property | Type | Required | Description |
|---|---|---|---|
AllowAllOrgs |
boolean | Allow members of any organization to use the app (each gets their own org's session) instead of only the owning org. Permitted only for trusted organizations. | |
ClientID |
string | Generated OAuth client_id used at login and to address this client in the API. | |
Name |
string | Human-friendly name for the app. | |
OrganizationID |
string | External identifier of the owning organization. | |
RedirectURIs |
Array of string | Exact redirect URIs permitted for the app's login (no wildcards). |
StandardErrorResponse
Error response details.
Properties
| Property | Type | Required | Description |
|---|---|---|---|
Code |
string | HTTP status code of the response. | |
Message |
string | Message returned with the response. |